---
title: "Search all the final workflow graphs."
slug: "search-all-the-final-workflow-graphs"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/search-all-the-final-workflow-graphs"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search all the final workflow graphs.

Get/v1/workflows/final/graphs

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parametersnamestring

Final workflow name

descriptionstring

Final workflow description.

projectstring

The workflow project.

filterstring

Filter to use for contained workflow versions, currently supports labels, syntax: {"labels":{"key1":"value1","key2":"value2"}}

all_searchstring

Search on name or description.

sort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

limitinteger

Maximum numbers of workflows to return.

offsetinteger

Number of workflows to skip from start.

Responses200<select class='api-response-data' aria-label='Media type'><option value='b9b90da4-3756-4514-931f-01fc5b5a98a7'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (FinalWorkflow)   object  graph_idstring  (uuid)    
namestring    
group_idstring  (uuid)    
acct_idstring  (uuid)    
created_atinteger  (int64)    

Dataset creation time (seconds since epoch).

updated_atinteger  (int64)    

Last update UNIX timestamp (seconds since epoch).

descriptionstring    
versionsobject  property*object (FinalWorkflowGraph)  additionalPropertiescreated_atinteger  (int64)    

Dataset creation time.

objectsobject  property*object (WorkflowObject)  additionalPropertiesnamestring    
user_idstring  (uuid)    
descriptionstring    
refobject (WorkflowObjectRef)  placeholderobject (WorkflowObjectRefPlaceholder)  kindstring    Valid values[
  "dataset",
  "app",
  "script"
]
acct_idstring  (uuid)    
group_idstring  (uuid)    

datasetobject (WorkflowObjectRefDataset)  dataset_idstring  (uuid)    
acct_idstring  (uuid)    
group_idstring  (uuid)    

appobject (WorkflowObjectRefApp)  image_idstring  (uuid)    
config_idstring    
acct_idstring  (uuid)    
group_idstring  (uuid)    

edgesobject  property*object (WorkflowEdge)  additionalPropertiessourceobject (WorkflowEdgeLink)  idstring    
portstring    

targetobject (WorkflowEdgeLink)  idstring    
portstring    

metadataobject (WorkflowMetadata)  nodesobject  property*object  additionalProperties

parentobject (WorkflowLinkMetadata)  

The final workflow from which this draft was derived. This field may point to a deleted final workflow in which you should treat it as if it's not present.

graph_idstring  (uuid)    
source_versioninteger    

projectstring    

runtime_configsobject  property*object (WorkflowObjectFinalApp)  additionalPropertiesimage_idstring  (uuid)    
config_idstring    
deploymentobject (WorkflowAppDeployment)  

Deployment info for an app. Exactly one of kubernetes or aci field must be set.

kubernetesobject (WorkflowAppKubernetes)  job_specobject  

aciobject (WorkflowAppAci)  exposed_ports Array of object (DockerNetworkPort)   

List of ports exposed for the azure container instance.

object  

A port exposed by a docker container.

portinteger    

A valid, specific port number from 1..65535 (inclusive).

protocolstring    

Protocol Associated with a Port exposed by a docker container.

Valid values[
  "Tcp",
  "Udp"
]

env_varsobject  property*string    additionalProperties

child_nodes Array of string   string    

deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

labelsobject  property*string    additionalProperties

typestring    

Workflow is owned or Shared

Valid values[
  "OWNED",
  "SHARED"
]
